Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live
status
enum<string>

Filter by status. Lifecycle of a ramp payment. succeeded, failed, cancelled, and expired are terminal.

Available options:
pending,
processing,
requires_action,
succeeded,
failed,
cancelled,
expired
direction
enum<string>

Filter by direction.

Available options:
on_ramp,
off_ramp
limit
integer

Page size, max 100.

cursor
string

Cursor from a previous page.

Response

Payments

data
object
required
error
null
required
request_id
string
required